Bug 164074 - Placeholder for 2.4.x SATA update 20050723-1
Placeholder for 2.4.x SATA update 20050723-1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 122256 156321
  Show dependency treegraph
 
Reported: 2005-07-24 02:49 EDT by Jeff Garzik
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 11:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SATA update 20050723-1 (83.38 KB, patch)
2005-07-24 02:54 EDT, Jeff Garzik
no flags Details | Diff

  None (edit)
Description Jeff Garzik 2005-07-24 02:49:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Tracking bug for SATA update 20050723-1.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. apply patch.
2. boot.
3.
  

Actual Results:  success!

Additional info:
Comment 1 Jeff Garzik 2005-07-24 02:54:39 EDT
Created attachment 117102 [details]
SATA update 20050723-1
Comment 2 Jeff Garzik 2005-07-24 03:05:10 EDT
Changelog...

Fixes:
* core: detect PATA<->SATA bridges, apply device limits accordingly
  (prevents data/DMA corruption)
* core: improve SATA PHY probing (fixes some previously-not-working setups)
* core: update DMA blacklist
* core: DMA s/g length fixes
* core: PIO overrun fixes
* core: correctly memset() CDB length, not sizeof(cdb length var)
* core: fix completion race (ATA_QCFLAG_ACTIVE)
* core: ->host_stop API change (fixes use-after-iounmap)
* core: fix a few SCSI<->ATA xlat edge cases
* sata_sil: fix FIFO-related corruption


Other changes:
* everywhere: add kernel-doc comments
* AHCI: add ATAPI support (currently unused)
* AHCI: add no-op PCI MSI support 
* ata_piix: add ESB2 SATA support 
* sata_promise: add PDC20619 (TX4000) support
* sata_qstor: add driver (currently NOT built)
* sata_sil: add new PCI ID
* sata_svw: add support for BCM5785 (aka HT1000)
Comment 4 Ernie Petrides 2005-07-28 22:26:57 EDT
The SATA update has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-34.EL).
Comment 9 Red Hat Bugzilla 2005-09-28 11:28:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.